#ifndef ALARMCONFIGDIALOG_H
#define ALARMCONFIGDIALOG_H

#include <QDialog>
#include "alarmEventGlobal.h"

QT_BEGIN_NAMESPACE
namespace Ui {
class alarmEventConfigDialog;
}
QT_END_NAMESPACE

class AlarmEventConfigDialog : public QDialog
{
    Q_OBJECT

public:
    AlarmEventConfigDialog(QWidget *parent = nullptr);
    ~AlarmEventConfigDialog();

signals:
    void sgl_hide();
    //void sgl_configFinish(const AlarmConfigurationResults&);

public slots:
    void onBtnClicked_tabBtn();
    void onBtnClicked_confirm();
    void onBtnClicked_cancle();

protected:
    void showEvent(QShowEvent*);

private:
    void initialize();

    Ui::alarmEventConfigDialog*  ui;
    QPushButton* m_curActiveTab;
    //AlarmConfigurationResults m_cfgResults;
};

#endif
